import fetch from './fetch';
// import { notification } from 'antd';

// 获取wiki列表
export function wikiPages(params) {
  return fetch({
    url: '/api/wiki/wikiPages',
    method: 'get',
    params
  });
}

// 获取单个wiki
export function getWiki(params) {
  return fetch({
    url: '/api/wiki/getWiki',
    method: 'get',
    params
  });
}

//新增wiki
export function addWiki(data) {
  return fetch({
    url: '/api/wiki/createWiki',
    method: 'post',
    data: data
  });
}

//更新wiki
export function updateWiki(data) {
  return fetch({
    url: '/api/wiki/updateWiki',
    method: 'PUT',
    data: data
  });
}

//删除wiki
export function deleteWiki(data) {
  return fetch({
    url: '/api/wiki/deleteWiki',
    method: 'DELETE',
    data,
  });
}

